using System;
using Sirenix.OdinInspector;
using UnityEngine;
using VOID.Generic.Objects.Unit;

namespace VOID.Generic.Requirement
{
    [TypeRegistryItem("State")]
    [Serializable]
    public class RequirementUnitState : IUnitRequirement
    {
        [SerializeField]
        [Required]
        private UnitObjectState _unitState;

        public bool Check(UnitObject unit)
        {
            return unit.unitState == _unitState;
        }
    }
}